alteredExpressionGroupSet <- 
function(A.data.frame, length.1, maxiter=500, initialSize=20, vSize=0.5, pctSubset=0.1, filMed=0, numGroups=7, maxnull = 20)
{
	A <- as.matrix(A.data.frame)							# Convertimos los datos de expresion a una matriz de R
	
	# Filtramos los datos cuyas medias en control y paciente no varien
	if(filMed > 0){
		A.ok <- (abs(rowMeans(A[,1:length.1]) - rowMeans(A[,(length.1 + 1):dim(A)[2]])) > filMed) 
		print(length(A.ok[A.ok == TRUE]))
		A <- A[A.ok,]
	}
	
	result <- new("alteredset")
	
	contNull <- 0
	while(numGroups > result@num && contNull < maxnull && initialSize < dim(A)[1])
	{	
		altered.object <- alteredExpressionCore(A,length.1, maxiter, initialSize, vSize, pctSubset, filMed)	# Ejecutamos la funcion "dcoexp.genesc"
		
		if(dim(altered.object@exprs)[1] == 0){	# No llego a un resultado en al final de todas las iteraciones
			contNull <- contNull + 1
		}else{
			result@num <- result@num + 1
			result@set[[result@num]] <- altered.object
			genes <- setdiff(rownames(A),getGenes(altered.object))
			A <- A[genes,]		# Vamos quitando de la tabla inicial A los subconjuntos de genes ya encontrados
		}
	}
	return(result)
}
